(define-module (homelab)
  #:use-module ((guix licenses) #:prefix licenses:)
  #:use-module (gnu packages autotools)
  #:use-module (guix utils)
  #:use-module (guix git)
  #:use-module (guix build-system gnu)
  #:use-module (guix build-system copy)
  #:use-module (guix packages))

(define-public test
  (package
    (name "test")
    (version "1.2")
    (source
      (git-checkout
        (url "git://home.noahmetz.xyz/nmetz/test.git")
        (commit (string-append "v" version))))
    (build-system gnu-build-system)
    (native-inputs (list autoconf automake))
    (synopsis "Hello world program")
    (description "Prints hello world")
    (home-page "http://home.noahmetz.xyz")
    (license licenses:gpl3+)))

(define-public vim-guile
  (package
    (name "vim-guile")
    (version "1.0")
    (source
      (git-checkout
        (url "https://gitlab.com/HiPhish/guile.vim.git")
        (commit "f76959a9dbdc69cde018901de82ac5a3d443843c")))
    (build-system copy-build-system)
    (arguments
      '(#:install-plan
        '(("autoload" "share/vim/vimfiles/")
          ("ftdetect" "share/vim/vimfiles/")
          ("syntax" "share/vim/vimfiles/")
          ("test" "share/vim/vimfiles/"))))
    (synopsis "Syntax highlighting and file type detect of GNU Guile code in Vim")
    (description "Provides syntax highlighting and file type detection for GNU Guile files with the .scm extension.")
    (home-page "https://gitlab.com/HiPhish/guile.vim")
    (license licenses:expat)))

(define-public vimwiki
  (package
    (name "vimwiki")
    (version "2.5")
    (source
      (git-checkout
        (url "https://github.com/vimwiki/vimwiki")
        (commit (string-append "v" version))))
    (build-system copy-build-system)
    (arguments
      '(#:install-plan
        '(("autoload" "share/vim/vimfiles/")
          ("doc" "share/vim/vimfiles/")
          ("ftplugin" "share/vim/vimfiles/")
          ("plugin" "share/vim/vimfiles/")
          ("syntax" "share/vim/vimfiles/")
          ("test" "share/vim/vimfiles/"))))
    (synopsis "A personal wiki plugin for vim")
    (license licenses:expat)
    (home-page "https://github.com/vimwiki/vimwiki")
    (description "VimWiki is a personal wiki for Vim -- a number of linked text files that have their own syntax highlighting. With VimWiki, you can:
 - Organize notes and ideas
 - Manage to-do lists
 - Write documentation
 - Maintain a diary
 - Export everything to HTML")))
